> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v1/wallet/{id}/deposit/bank/fee



## OpenAPI

````yaml POST /v1/wallet/{id}/deposit/bank/fee
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v1/wallet/{id}/deposit/bank/fee:
    post:
      tags:
        - wallet
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletDepositBankFee'
      responses:
        '200':
          $ref: '#/components/responses/WalletDepositBankFeeResult'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    WalletDepositBankFee:
      type: object
      properties:
        payerId:
          type: string
          format: uuid
          description: payer UUID
        amount:
          type: number
          description: deposit amount
        countryId:
          type: string
          minLength: 2
          maxLength: 2
          description: >-
            Payer country ISO 3166-1 alpha-2 code; client country is used by
            default
          example: LV
      required:
        - payerId
        - amount
  responses:
    WalletDepositBankFeeResult:
      description: Calculated deposit fee
      content:
        application/json:
          schema:
            type: object
            properties:
              fee:
                type: number
                description: deposit fee
                example: 1.5
              total:
                type: number
                description: deposit amount minus the fee
                example: 98.5
              currencyId:
                type: string
                description: wallet currency
                example: EUR
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Not Found
              message:
                type: string
                example: The requested resource could not be found.
              status:
                type: integer
                example: 404
          example:
            status: ERROR
            error:
              code: 404
              message: Not Found
    ValidationError:
      description: Validation Error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: ERROR
              errors:
                type: object
                example:
                  email: Email cannot be blank.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.